apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Henri Gomez" <henri.go...@gmail.com>
Subject Re: How to make use APR 1.2.2 statically
Date Wed, 08 Mar 2006 13:38:08 GMT
Thanks.

It seems to works also with ./configure --with-pic

2006/3/8, Joe Orton <jorton@redhat.com>:
> On Wed, Mar 08, 2006 at 01:04:28PM +0100, Henri Gomez wrote:
> > Hi to all,
> >
> > I'm using a Suse SLES 9 on a Linux Power PC box (an iSeries LPAR).
> >
> > SLES 9 came with Apache 2.0.49 and APR 0.9.5 but to be able to use
> > Tomcat 5.5.x with APR support (tomcat-native), I should use an APR
> > 1.1+.
> >
> > I build apr 1.2.2 and installed it in /root/local/ and I wonder now
> > how I could make use of APR 1.2.2 statically ?
>
> You need to build APR with -fPIC, like the errors say, so use e.g.:
>
> CFLAGS=-fPIC ./configure ...
>
> when you configure APR.
>
> > /usr/lib/gcc-lib/powerpc-suse-linux/3.3.3/../../../../powerpc-suse-linux/bin/ld:
> > Error: The symbol `apr_snprintf' has a R
> > _PPC_REL24 relocation, that means
> > '/root/local/lib/libapr-1.a(apr_strings.o)' was compiled without
> > -fPIC.
>
>

Mime
View raw message